## vpb-driver 4.2.23

=== src/vpb/Makefile ===
# Voicetronix vpb driver makefile
# Ron Lee, June 2006

CONFIG_VPB ?= m

ifeq ($(strip $(KERNELRELEASE)),)
include ../../Version
endif

VTCORE_SRC = cputime.h

obj-$(CONFIG_VPB) := vpb.o

EXTRA_CFLAGS  := -O2 -mhard-float -DEXPORT_SYMTAB -I$(M)/../libvpb
CFLAGS_echo.o := -O3 -ffloat-store -finline-functions -funroll-all-loops
CFLAGS_vpb.o  := -DVT_VERSION=\"$(VT_VERSION)\"
#EXTRA_LDFLAGS := -d


ifeq ($(strip $(KERNELRELEASE)),)

KSRC  ?= /lib/modules/$(shell uname -r)/build
KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/version.h 2>/dev/null | cut -f 2 -d \" )
ifeq ($(strip $(KVERS)),)
KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
endif
ifeq ($(strip $(KVERS)),)
$(error "No kernel version.  Aborting")
endif

MODULEDIR := $(DESTDIR)/lib/modules/$(KVERS)/kernel/drivers/telephony


all:
	@for f in $(VTCORE_SRC); do					\
	    if [ ! -e $$f ]; then ln -s ../vtcore/$$f .; fi;		\
	done
	$(MAKE) -C $(KSRC) M=$(CURDIR) VT_VERSION=$(version) modules

install:
	mkdir -p $(MODULEDIR)
	@for m in $(obj-m:.o=.ko); do			\
		echo "installing $$m --> $(MODULEDIR)";	\
		install -m 644 $$m $(MODULEDIR);	\
	done
	/sbin/depmod

clean distclean:
	$(RM) *.o *.ko *~ core *.mod.c .*.cmd
	$(RM) -r .tmp_versions Module.symvers
	@for f in $(VTCORE_SRC); do			\
	    if [ -L $$f ]; then $(RM) $$f; fi;		\
	done


.PHONY: all install clean distclean
endif

=== src/vtcore/Makefile ===
# Voicetronix vtcore driver makefile
# Ben Kramer, December 2005
# Ron Lee, June 2006

CONFIG_VTCORE ?= m

ifeq ($(strip $(KERNELRELEASE)),)
include ../../Version
endif

obj-$(CONFIG_VTCORE) := vtcore.o vtopenpci.o vtopenswitch.o
ifneq ($(ARCH_AMD64),1)
obj-$(CONFIG_VTCORE) += vtecho_fp.o
endif
vtcore-objs          := vtcore_main.o mu-alaw.o

EXTRA_CFLAGS := -O2 -mhard-float -DEXPORT_SYMTAB -DVT_VERSION=\"$(VT_VERSION)\" -I$(M)/../libvpb
CFLAGS_vtecho_fp.o    := -O3 -ffloat-store -finline-functions -funroll-all-loops
#EXTRA_LDFLAGS := -d

# Centos4.3 uses a modified 2.6.9 kernel, with no indication that
# it is different from the mainstream (or even Centos4.2 2.6.9)
# kernel, so we must crowbar off the dunce-hat manually here.
ifeq (0,$(shell grep "CentOS release 4\.[3-4]" /etc/redhat-release > /dev/null 2>&1; echo $$?))
EXTRA_CFLAGS+=-DMONGREL_CENTOS4
endif

EXTRA_CFLAGS += $(NO_OSW_RING_SYNC)


ifeq ($(strip $(KERNELRELEASE)),)

KSRC  ?= /lib/modules/$(shell uname -r)/build
KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/version.h 2>/dev/null | cut -f 2 -d \" )
ifeq ($(strip $(KVERS)),)
KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
endif
ifeq ($(strip $(KVERS)),)
$(error "No kernel version.  Aborting")
endif

MODULEDIR := $(DESTDIR)/lib/modules/$(KVERS)/kernel/drivers/telephony


all:
	$(MAKE) -C $(KSRC) M=$(CURDIR) VT_VERSION=$(version) modules

install:
	mkdir -p $(MODULEDIR)
	@for m in $(obj-m:.o=.ko); do			\
		echo "installing $$m --> $(MODULEDIR)";	\
		install -m 644 $$m $(MODULEDIR);	\
	done
	/sbin/depmod

clean distclean:
	rm -f *.o *.ko *~ core *.mod.c .*.cmd
	rm -rf .tmp_versions Module.symvers


.PHONY: all install clean distclean
endif

=== unittest/OpenPri/Makefile ===
CPPFLAGS = -g -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

all: targets 

targets: bridging callgen callisdn dialans dialisdn loopback \
	 playdtmf prilog vpbcallasyncisdn vpbcallisdn

clean:   
	rm -f core* *.o bridging callgen callisdn dialans \
	dialisdn loopback playdtmf prilog vpbcallasyncisdn vpbcallisdn

=== unittest/test/Makefile ===

CPPFLAGS = -g -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

TARGETS = measgain tload tecsix tcall tdial silence hostvox tcutthru walk

all: $(TARGETS)

clean:   
	$(RM) $(TARGETS) core* *.o

=== unittest/utils/Makefile ===

CPPFLAGS = -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

all: targets 

targets: filedtmf hostfiletone hostfiletone2 tbusy trim vlog wavtowav

clean:   
	rm -f core* *.o filedtmf hostfiletone hostfiletone2 tbusy trim vlog wavtowav

## vpb-driver 4.2.38.1

=== src/vtcore/Makefile ===
--- 
+++ 
@@ -21,7 +21,8 @@
 # Centos4.3 uses a modified 2.6.9 kernel, with no indication that
 # it is different from the mainstream (or even Centos4.2 2.6.9)
 # kernel, so we must crowbar off the dunce-hat manually here.
-ifeq (0,$(shell grep "CentOS release 4\.[3-4]" /etc/redhat-release > /dev/null 2>&1; echo $$?))
+ifeq (0,$(shell grep "CentOS release 4\.[3-5]\|Red Hat Enterprise Linux ES release 4" \
+                /etc/redhat-release > /dev/null 2>&1; echo $$?))
 EXTRA_CFLAGS+=-DMONGREL_CENTOS4
 endif

## vpb-driver 4.2.42

=== src/vpb/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
 endif
 ifeq ($(strip $(KVERS)),)
-$(error "No kernel version.  Aborting")
+$(error "No kernel version.  You probably need the distro headers package for your running kernel.")
 endif
 
 MODULEDIR := $(DESTDIR)/lib/modules/$(KVERS)/kernel/drivers/telephony

=== src/vtcore/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
 endif
 ifeq ($(strip $(KVERS)),)
-$(error "No kernel version.  Aborting")
+$(error "No kernel version.  You probably need the distro headers package for your running kernel.")
 endif
 
 MODULEDIR := $(DESTDIR)/lib/modules/$(KVERS)/kernel/drivers/telephony

## vpb-driver 4.2.44

=== src/vtcore/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # Centos4.3 uses a modified 2.6.9 kernel, with no indication that
 # it is different from the mainstream (or even Centos4.2 2.6.9)
 # kernel, so we must crowbar off the dunce-hat manually here.
-ifeq (0,$(shell grep "CentOS release 4\.[3-5]\|Red Hat Enterprise Linux ES release 4" \
+ifeq (0,$(shell grep "CentOS release 4\.[3-7]\|Red Hat Enterprise Linux ES release 4" \
                 /etc/redhat-release > /dev/null 2>&1; echo $$?))
 EXTRA_CFLAGS+=-DMONGREL_CENTOS4
 endif
@@ -35,6 +35,9 @@
 KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/version.h 2>/dev/null | cut -f 2 -d \" )
 ifeq ($(strip $(KVERS)),)
 KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
+endif
+ifeq ($(strip $(KVERS)),)
+KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/generated/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
 endif
 ifeq ($(strip $(KVERS)),)
 $(error "No kernel version.  You probably need the distro headers package for your running kernel.")

## vpb-driver 4.2.47

=== src/vtcore/Makefile ===
--- 
+++ 
@@ -56,6 +56,7 @@
 		install -m 644 $$m $(MODULEDIR);	\
 	done
 	/sbin/depmod
+	@modprobe -r netjet > /dev/null 2>&1 || true
 
 clean distclean:
 	rm -f *.o *.ko *~ core *.mod.c .*.cmd

## vpb-driver 4.2.52

=== src/vtcore/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # Centos4.3 uses a modified 2.6.9 kernel, with no indication that
 # it is different from the mainstream (or even Centos4.2 2.6.9)
 # kernel, so we must crowbar off the dunce-hat manually here.
-ifeq (0,$(shell grep "CentOS release 4\.[3-7]\|Red Hat Enterprise Linux ES release 4" \
+ifeq (0,$(shell grep "CentOS release 4\.[3-8]\|Red Hat Enterprise Linux ES release 4" \
                 /etc/redhat-release > /dev/null 2>&1; echo $$?))
 EXTRA_CFLAGS+=-DMONGREL_CENTOS4
 endif

## vpb-driver 4.2.57

=== unittest/Makefile ===
SUBDIRS = test utils cid OpenLog4 OpenPri

all:
	@for d in $(SUBDIRS); do $(MAKE) -C $$d; done

clean:
	@for d in $(SUBDIRS); do $(MAKE) -C $$d clean; done

=== unittest/OpenPri/Makefile ===
CPPFLAGS = -g -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

all: targets 

targets: bridging callgen callisdn dialans dialisdn loopback \
	 playdtmf prilog privoxlog vpbcallasyncisdn vpbcallisdn voicecallgen priplayrecord

clean:   
	rm -f core* *.o bridging callgen callisdn dialans \
	dialisdn loopback playdtmf prilog privoxlog vpbcallasyncisdn vpbcallisdn voicecallgen priplayrecord

=== unittest/cid/Makefile ===
CPPFLAGS = -g -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

TARGETS = cidtest deccid samcid tcid cidg2test

all: $(TARGETS)

clean:  
	 $(RM) $(TARGETS) core* *.o linear??.wav

=== unittest/test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-CPPFLAGS = -g -Wall -I../../src/libvpb -I../../src/dsp
+CPPFLAGS = -g -Wall -I../../include -I../../src/libvpb -I../../src/dsp
 LDFLAGS = -L../../src/libvpb -pthread
 LDLIBS = -lvpb ../kbhit.cpp

## vpb-driver 4.2.58

=== src/libpri/Makefile ===
#
# libpri: An implementation of Primary Rate ISDN
#
# Written by Mark Spencer <markster@linux-support.net>
#
# Copyright (C) 2001, Linux Support Services, Inc.
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
#
#
# Uncomment if you want libpri not send PROGRESS_INDICATOR w/ALERTING
#ALERTING=-DALERTING_NO_PROGRESS

# Uncomment if you want libpri to count number of Q921/Q931 sent/received
#LIBPRI_COUNTERS=-DLIBPRI_COUNTERS

prefix=/usr

OSARCH=$(shell uname -s)
PROC=$(shell uname -m)

OS_TYPE = __LINUX__

#CC=gcc32

TOBJS=testpri.o
T2OBJS=testprilib.o
STATIC_LIBRARY=libpri.a
DYNAMIC_LIBRARY=libpri.so.1.0.0
STATIC_OBJS=copy_string.o pri.o q921.o prisched.o q931.o pri_facility.o
DYNAMIC_OBJS=copy_string.lo pri.lo q921.lo prisched.lo q931.lo pri_facility.lo
CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING) $(LIBPRI_COUNTERS)  -I/etc/wanpipe/api/include -D$(OS_TYPE)


ifeq (${OSARCH},Linux)
LDCONFIG_FLAGS=-n
else
ifeq (${OSARCH},FreeBSD)
LDCONFIG_FLAGS=-m
CFLAGS += -I../zaptel -I../zapata
endif
endif

#The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
#This works for even old (2.96) versions of gcc and provides a small boost either way.
#A ultrasparc cpu is really v9 but the stock debian stable 3.0 gcc doesnt support it.
ifeq ($(PROC),sparc64)
PROC=ultrasparc
CFLAGS += -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
endif

all: depend $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)


install: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	mkdir -p $(DESTDIR)$(prefix)/lib
	mkdir -p $(DESTDIR)$(prefix)/include
	install -m 644 libpri.h $(DESTDIR)$(prefix)/include
	install -m 755 $(DYNAMIC_LIBRARY) $(DESTDIR)$(prefix)/lib
	( cd $(DESTDIR)$(prefix)/lib      \
	  && ln -sf libpri.so.1.0.0 libpri.so \
	  && ln -sf libpri.so.1.0.0 libpri.so.1 )
	install -m 644 $(STATIC_LIBRARY) $(DESTDIR)$(prefix)/lib
	/sbin/ldconfig

#uninstall:
#	@echo "Removing Libpri"
#	rm -f $(DESTDIR)$(prefix)/lib/libpri.so*
#	rm -f $(DESTDIR)$(prefix)/lib/libpri.a
#	rm -f $(DESTDIR)$(prefix)/include/libpri.h

pritest: pritest.o
	$(CC) -o pritest pritest.o -L. -lpri -lzap $(CFLAGS)

pritest-s: pritest-s.o
	$(CC) -o pritest-s pritest-s.o -L. -lpri

testprilib.o: testprilib.c
	$(CC) $(CFLAGS) -D_REENTRANT -D_GNU_SOURCE -o $@ -c $<

testprilib: testprilib.o
	$(CC) -o testprilib testprilib.o -L. -lpri -lpthread $(CFLAGS)

pridump: pridump.o
	$(CC) -o pridump pridump.o -L. -lpri -lzap $(CFLAGS)

include .depend

%.lo : %.c
	$(CC) -fPIC $(CFLAGS) -o $@ -c $<

$(STATIC_LIBRARY): $(STATIC_OBJS)
	ar rcs $(STATIC_LIBRARY) $(STATIC_OBJS)
	ranlib $(STATIC_LIBRARY)

$(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
	$(CC) -shared -Wl,-soname,libpri.so.1 -o $@ $(DYNAMIC_OBJS)
	/sbin/ldconfig $(LDCONFIG_FLAGS) .
	ln -sf libpri.so.1 libpri.so

clean distclean:
	rm -f *.o *.so *.lo *.so.1 *.so.1.0
	rm -f testpri testprilib $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	rm -f pritest pridump
	rm -f .depend

depend: .depend

.depend: 
	CC=$(CC) ./mkdep ${CFLAGS} `ls *.c`

.PHONY: all install clean distclean

## vpb-driver 4.2.59

=== doc/Makefile ===
# Just make it!
all:
	db2html vpb-doc.sgm

clean:
	rm -rf vpb-doc
	rm -rf vpb-doc.junk

dist:
	tar zcvf vpb-doc.tgz vpb-doc

=== unittest/OpenLog4/Makefile ===
CPPFLAGS = -Wall -I../../src/libvpb -I../../src/dsp
LDFLAGS = -L../../src/libvpb -pthread
LDLIBS = -lvpb ../kbhit.cpp

all: targets 

targets:  tv4log

clean:   
	 rm -f tv4log core* *.o
	 rm -f *.wav

## vpb-driver 4.2.61

=== src/vpb/Makefile ===
--- 
+++ 
@@ -23,6 +23,9 @@
 KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/version.h 2>/dev/null | cut -f 2 -d \" )
 ifeq ($(strip $(KVERS)),)
 KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/linux/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
+endif
+ifeq ($(strip $(KVERS)),)
+KVERS := $(shell grep UTS_RELEASE $(KSRC)/include/generated/utsrelease.h 2>/dev/null | cut -f 2 -d \" )
 endif
 ifeq ($(strip $(KVERS)),)
 $(error "No kernel version.  You probably need the distro headers package for your running kernel.")

=== src/vtcore/Makefile ===
--- 
+++ 
@@ -9,14 +9,9 @@
 endif
 
 obj-$(CONFIG_VTCORE) := vtcore.o vtopenpci.o vtopenswitch.o
-ifneq ($(ARCH_AMD64),1)
-obj-$(CONFIG_VTCORE) += vtecho_fp.o
-endif
 vtcore-objs          := vtcore_main.o mu-alaw.o
 
-EXTRA_CFLAGS := -O2 -mhard-float -DEXPORT_SYMTAB -DVT_VERSION=\"$(VT_VERSION)\" -I$(M)/../libvpb
-CFLAGS_vtecho_fp.o    := -O3 -ffloat-store -finline-functions -funroll-all-loops
-#EXTRA_LDFLAGS := -d
+EXTRA_CFLAGS := -DVT_VERSION=\"$(VT_VERSION)\" -I$(M)/../libvpb
 
 # Centos4.3 uses a modified 2.6.9 kernel, with no indication that
 # it is different from the mainstream (or even Centos4.2 2.6.9)

=== unittest/utils/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-CPPFLAGS = -Wall -I../../src/libvpb -I../../src/dsp
+CPPFLAGS = -Wall -I../../include -I../../src/libvpb -I../../src/dsp
 LDFLAGS = -L../../src/libvpb -pthread
 LDLIBS = -lvpb ../kbhit.cpp

=== debian/changelog ===
vpb-driver (4.2.61-1.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Import package history into Git.
  * Add autopkgtest for the -source package.
  * Fix building twice in a row.  (Closes: #1047374, #1049473)
  * Switch to regular -dbgsym packages.
  * Set Rules-Requires-Root: no.
  * Add missing ${misc:Depends}.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Feb 2025 11:32:42 +0100

vpb-driver (4.2.61-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Actually add patch to series file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Dec 2024 08:12:52 +0100

vpb-driver (4.2.61-1.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ wuruilong <wuruilong@loongson.cn> ]
  * add support for loongarch (Closes: #1056560)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Dec 2024 19:13:18 +0100

vpb-driver (4.2.61-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs. (Closes: #1025831)

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 10 Dec 2022 17:49:17 +0800

vpb-driver (4.2.61-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to 3.0 source format (Closes: #1007564)
  * Fix build on current Linux version (Closes: #1005418)

 -- Bastian Germann <bage@debian.org>  Sat, 10 Dec 2022 00:42:50 +0100

vpb-driver (4.2.61-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Use struct proc_ops for proc file operations on Linux 5.6+
    (Closes: #988564)
  * Use ioremap() instead of (formerly equivalent, now removed)
    ioremap_nocache()
  * Pass target kernel version to depmod (Closes: #917865)
  * Only run depmod or modprobe if installing modules to host filesystem

 -- Ben Hutchings <benh@debian.org>  Mon, 17 May 2021 00:36:41 +0200

vpb-driver (4.2.61-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 00:10:43 +0100

vpb-driver (4.2.61-1) unstable; urgency=medium

  * Use --sort=name, if available, when creating the kernel source tarball.
    For reproducibility we want the files in it deterministically ordered.

 -- Ron Lee <ron@debian.org>  Thu, 05 Apr 2018 05:06:25 +0930

vpb-driver (4.2.60-1) unstable; urgency=medium

  * Minor tweaks for the linux 4.15 kernel.
  * Replace pow10() with exp10(), they are equivalent, except for the bit where
    exp10 got standardised in TS 18661-4:2015 and glibc 2.27 removed pow10.
    Closes: #890671
  * Pass -pthread using the correct modern idiom when building libtoneg.
    Using -lpthread there is wrong with modern toolchains, and breaks cross
    builds when make expands it to a full path for the build arch. #866720
    Closes: #866720
  * Sanitise the umask and mtime of the kernel source tarball, this should let
    this package be build reproducibly now.

 -- Ron Lee <ron@debian.org>  Mon, 02 Apr 2018 04:46:39 +0930

vpb-driver (4.2.59-2) unstable; urgency=medium

  * Conflict/Replace libvpb0.  Closes: #794587
  * This is really just a kludge-around for the fact that we have unversioned
    files installed in the runtime library package, which ordinarily would be
    a Terribly Wrong thing to do, but this code is stable and had a strong
    guarantee that the ABI was never going to be broken and it would never
    need a transition, so for several reasons that was the least worst option
    for nearly 10 years now.  Until gcc-5 broke that promise on us ...
    In this case, we can probably still quite reasonably get away with just
    forcing the old package off the system when it is upgraded, since there is
    a fairly natural limit to how many applications you can have controlling
    your phone lines on a system, and no real user is likely to actually need
    the old and new packages to be co-installable.  Either they'll update to
    the new one, or they won't.  There's no prolonged transition where things
    they might need could still be using the old one.  It's still technically
    wrong though, so kids don't try this at home, but unless gcc starts to
    make a habit of this, it's probably the least disruptive change we can
    impose on users to cope with that transition, and hopefully something we
    won't need to deal with again for at least another ten years.  If we do,
    then we'll reassess where the pros and cons really lay for making more
    intrusive changes to support things that "should have never happened".

 -- Ron Lee <ron@debian.org>  Thu, 06 Aug 2015 00:20:48 +0930

vpb-driver (4.2.59-1) unstable; urgency=medium

  * Updates for gcc-5.  Closes: #791309
  * It makes some changes to libstdc++ which break ABI for us in a few places,
    mostly in symbols using std::basic_string or std::list, so we're going to
    bump the SONAME for this release, even though there is no incompatible
    change to the libvpb source itself.  In theory we could just rename the
    library package - but that would still leave people with out of distro
    applications screwed if they upgrade to the new package without rebuilding
    their own applications.  This way they'll at least fail loudly and early.

 -- Ron Lee <ron@debian.org>  Tue, 04 Aug 2015 04:19:27 +0930

vpb-driver (4.2.58-1) unstable; urgency=low

  * Backport the tweak to OpenPCI interrupt handling.
  * Don't build with -O3 anymore, most of this code doesn't need it,
    and gcc 4.9 appears to do some fun things if we try.

 -- Ron Lee <ron@debian.org>  Mon, 29 Sep 2014 03:31:52 +0930

vpb-driver (4.2.57-1) unstable; urgency=low

  * Updates for kernel 3.10, Closes: #719136
    Disabling hotplug is no longer an option.
    The proc API has changed, create_proc_{,read_}entry no longer exist.
    The asm/system.h header has been disintegrated.

 -- Ron Lee <ron@debian.org>  Sun, 11 Aug 2013 04:58:07 +0930

vpb-driver (4.2.56-1) unstable; urgency=low

  * Tweak the OpenPCI ring validation parameters.



=== debian/control ===
Source: vpb-driver
Section: comm
Priority: optional
Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 9), po-debconf, bzip2, zlib1g-dev, libpci-dev | pciutils-dev
Build-Depends-Indep: doxygen, graphviz
Rules-Requires-Root: no
Standards-Version: 4.1.3.0
Vcs-Browser: https://salsa.debian.org/debian/vpb-driver
Vcs-Git: https://salsa.debian.org/debian/vpb-driver.git

Package: vpb-driver-source
Section: kernel
Architecture: all
Depends:
 module-assistant,
 debhelper (>> 4.0.0),
 make,
 bzip2,
 ${misc:Depends},
Description: Voicetronix telephony hardware driver source
 This package provides the source code for the Voicetronix kernel modules.
 Kernel source or headers are required to compile these modules.
 .
 To build a binary module package to suit your running kernel, do:
 m-a a-i vpb-driver

Package: vpb-utils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Voicetronix telephony hardware userspace tools
 This package provides the userspace support utilities for Voicetronix
 telephony hardware.

Package: libvpb1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libvpb0
Replaces: libvpb0
Recommends: vpb-driver-source
Suggests: vpb-utils
Description: Voicetronix telephony hardware userspace interface library
 This package provides the userspace support library for Voicetronix telephony
 hardware.

Package: libvpb-dev
Section: libdevel
Architecture: any
Depends:
 libvpb1 (= ${binary:Version}),
 ${misc:Depends},
Description: Voicetronix telephony hardware userspace library development files
 This package provides the necessary headers and library support files for
 building applications that use libvpb.

Package: libvpb-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Suggests: vpb-driver-source, libvpb-dev
Description: Voicetronix telephony interface library documentation
 This package provides the developer documentation for the Voicetronix
 telephony library.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright 2006 - 2018 Ron Lee.

SHELL = /bin/bash

NUM_CPUS = $(shell getconf _NPROCESSORS_ONLN 2>/dev/null)
PARALLEL = $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS    = -j$(or $(PARALLEL),$(NUM_CPUS),1)


export DH_OPTIONS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    # No optimisation, with debug syms
    DEBUG_OPTS = --enable-debug
else
    # Optimise, but include debug syms, detached in the -dbg package
    DEBUG_OPTS = --enable-debug-syms
endif


# Name of the source package
psource:=vpb-driver-source

# The short upstream name, used for the module source directory
sname:=vpb-driver

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


### KERNEL SETUP
### Setup the stuff needed for making kernel module packages
### taken from /usr/share/kernel-package/sample.module.rules

# prefix of the target package name
PACKAGE=vpb-driver-modules
# modifieable for experiments or debugging m-a
MA_DIR ?= /usr/share/modass
# load generic variable handling
-include $(MA_DIR)/include/generic.make
# load default rules, including kdist, kdist_image, ...
-include $(MA_DIR)/include/common-rules.make

# module assistant calculates all needed things for us and sets
# following variables:
# KSRC (kernel source directory), KVERS (kernel version string), KDREV
# (revision of the Debian kernel-image package), CC (the correct
# compiler), VERSION (the final package version string), PKGNAME (full
# package name with KVERS included), DEB_DESTDIR (path to store DEBs)

# The kdist_configure target is called by make-kpkg modules_config and
# by kdist* rules by dependency. It should configure the module so it is
# ready for compilation (mostly useful for calling configure).
# prep-deb-files from module-assistant creates the neccessary debian/ files
kdist_configure: prep-deb-files

# the kdist_clean target is called by make-kpkg modules_clean and from
# kdist* rules. It is responsible for cleaning up any changes that have
# been made by the other kdist_commands (except for the .deb files created)
# NOTE that removing debian control here is dangerous if this is ever called
# from outside the module source dist.  Don't do that.  We need to update it
# if the kernel version changes though and this is one simple way to ensure
# that happens.  There may be a better one.
pre-clean:
	$(RM) debian/control

kdist_clean: pre-clean clean
	$(MAKE) -f debian/rules clean
#	rm -f driver/*.o driver/*.ko
#
### end  KERNEL SETUP

clean: debian/control
	dh_testdir

#	Drop the old binary blob from the debian source during initial export.
	$(RM) -r firmware

	[ ! -e Makefile ] || $(MAKE) distclean
	[ ! -e obj_shared/Makefile ] || $(MAKE) -C obj_shared distclean
	$(RM) build-arch-stamp build-indep-stamp
	$(RM) -r obj_shared obj_static

	dh_clean

#	We don't need to run this in the module build, there are no templates
#	for that package and this will error out if it doesn't find the po dir.
	[ ! -d debian/po ] || debconf-updatepo


debian/control:
	sed -e 's/_KVERS_/$(KVERS)/' debian/control.modules.in > debian/control


obj_shared/config.status: configure
	dh_testdir

	mkdir obj_shared
	cd obj_shared && ../configure --host=$(DEB_HOST_GNU_TYPE)   \
				      --build=$(DEB_BUILD_GNU_TYPE) \
				      --prefix=/usr                 \
				      --enable-shared               \
				      $(DEBUG_OPTS)

obj_static/config.status: configure
	dh_testdir

	mkdir obj_static
	cd obj_static && ../configure --host=$(DEB_HOST_GNU_TYPE)   \
				      --build=$(DEB_BUILD_GNU_TYPE) \
				      --prefix=/usr                 \
				      $(DEBUG_OPTS)

build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: obj_shared/config.status obj_static/config.status
	dh_testdir

	$(MAKE) $(NJOBS) -C obj_shared/src/libtoneg
	$(MAKE) $(NJOBS) -C obj_shared/src/libvpb
	$(MAKE) $(NJOBS) -C obj_shared/src/utils
	$(MAKE) $(NJOBS) -C obj_shared/vpb-detect

	$(MAKE) $(NJOBS) -C obj_static/src/libtoneg
	$(MAKE) $(NJOBS) -C obj_static/src/libvpb
	touch $@

build-indep:  build-indep-stamp
build-indep-stamp: build-arch-stamp obj_shared/config.status
	dh_testdir

	$(MAKE) $(NJOBS) -C obj_shared doc
	touch $@


install: install-arch install-indep

install-arch: install-libvpb install-libvpb-dev install-vpb-utils
install-indep: install-vpb-driver-source install-libvpb-doc

# The explicit export here avoids SOURCE_DATE_EPOCH being hidden from dpkg-deb.
# It should normally be set in the environment, but set it here if it was not.
# We need to test if --sort=name is supported, the tar 1.28 release added that.
install-vpb-driver-source: export SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog | grep -Po '^Date: \K.*' | date -f- +%s)
install-vpb-driver-source: TAR_OPTS  = $(shell tar --sort=name -cf - /dev/null >/dev/null 2>&1 && echo "--sort=name")
install-vpb-driver-source: TAR_OPTS += --mode='go=rX,u+rw,a-s' --mtime='@$(SOURCE_DATE_EPOCH)'
install-vpb-driver-source: TAR_OPTS += --owner=0 --group=0 --numeric-owner
install-vpb-driver-source: DH_OPTIONS=-p$(psource)
install-vpb-driver-source:
	dh_testdir
	dh_testroot
	dh_prep

	# Create the directories to install the source into
	dh_installdirs usr/src/modules/$(sname)/debian
	dh_installdirs usr/src/modules/$(sname)/src

	cp obj_shared/Version debian/$(psource)/usr/src/modules/$(sname)

	# Copy only the driver source to the proper location
	cp -a src/{vtcore,vpb} debian/$(psource)/usr/src/modules/$(sname)/src

	cp src/libvpb/vtcore_ioctl.h src/libvpb/messages_dsp_pc.h \
	   debian/$(psource)/usr/src/modules/$(sname)/src/vtcore
	cp src/libvpb/vpb_ioctl.h                                 \
	   debian/$(psource)/usr/src/modules/$(sname)/src/vpb

	# Copy the needed debian/ pieces to the proper location
	cp debian/*modules.in* \
	   debian/$(psource)/usr/src/modules/$(sname)/debian
#	cp debian/*_KVERS_* debian/rules debian/changelog debian/copyright
	cp debian/rules debian/changelog debian/copyright debian/compat \
	   debian/$(psource)/usr/src/modules/$(sname)/debian/
	cd debian/$(psource)/usr/src					\
	   && tar c $(TAR_OPTS) modules	| bzip2 -9 > $(sname).tar.bz2	\
	   && rm -rf modules

	dh_install debian/fetch-openline-firmware usr/share/vpb-driver
	chmod 755 $(CURDIR)/debian/vpb-driver-source/usr/share/vpb-driver/fetch-openline-firmware

install-libvpb: DH_OPTIONS=-plibvpb1
install-libvpb:
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) -C obj_shared/src/libtoneg install-lib DESTDIR=$(CURDIR)/debian/libvpb1
	$(MAKE) -C obj_shared/src/libvpb   install-lib DESTDIR=$(CURDIR)/debian/libvpb1
	$(MAKE) -C obj_shared/vpb-detect   install     DESTDIR=$(CURDIR)/debian/libvpb1
	dh_install src/utils/vtdeviceinfo               usr/bin
	dh_install src/utils/vtdriverinfo               usr/bin
	dh_install obj_shared/src/utils/VpbConfigurator usr/sbin
	dh_installman doc/vtdeviceinfo.1
	dh_installman doc/vtdriverinfo.1
	dh_installman doc/VpbConfigurator.8
	dh_installman doc/vpbconf.1
	dh_installman doc/vpbscan.1
	dh_installudev --name=vtcore
	dh_installdebconf

install-libvpb-dev: DH_OPTIONS=-plibvpb-dev
install-libvpb-dev:
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) -C obj_shared/src/libtoneg install-dev DESTDIR=$(CURDIR)/debian/libvpb-dev
	$(MAKE) -C obj_static/src/libtoneg install-dev DESTDIR=$(CURDIR)/debian/libvpb-dev
	$(MAKE) -C obj_shared/src/libvpb   install-dev DESTDIR=$(CURDIR)/debian/libvpb-dev
	$(MAKE) -C obj_static/src/libvpb   install-dev DESTDIR=$(CURDIR)/debian/libvpb-dev

install-vpb-utils: DH_OPTIONS=-pvpb-utils
install-vpb-utils:
	dh_testdir
	dh_testroot
	dh_prep

	dh_install obj_shared/src/utils/dtmfcheck   usr/bin
	dh_install obj_shared/src/utils/measerl     usr/bin
	dh_install obj_shared/src/utils/playwav     usr/bin
	dh_install obj_shared/src/utils/proslicerl  usr/bin

=== debian/tests/control ===
Test-Command: /usr/share/modass/module-assistant-autopkgtest vpb-driver-source
Features: test-name=m-a-autopkgtest
Depends:
 vpb-driver-source,
 module-assistant-autopkgtest,
 linux-doc,
Restrictions:
 superficial,
 needs-root,
 breaks-testbed,
 allow-stderr,

## vpb-driver 4.2.61-1%2B9.0trisquel2

=== debian/changelog ===
vpb-driver (4.2.61-1+9.0trisquel2) etiona; urgency=medium

  * Move to a supported version for Linux kernel 4.15 trisquel2 ||
    Remove references to nonfree blob, fixes #10980 trisquel1

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 06 Dec 2019 20:44:49 +0000

=== debian/rules ===
--- 
+++ 
@@ -44,20 +44,20 @@
 -include $(MA_DIR)/include/generic.make
 # load default rules, including kdist, kdist_image, ...
 -include $(MA_DIR)/include/common-rules.make
-
+  
 # module assistant calculates all needed things for us and sets
 # following variables:
 # KSRC (kernel source directory), KVERS (kernel version string), KDREV
 # (revision of the Debian kernel-image package), CC (the correct
 # compiler), VERSION (the final package version string), PKGNAME (full
 # package name with KVERS included), DEB_DESTDIR (path to store DEBs)
-
+  
 # The kdist_configure target is called by make-kpkg modules_config and
 # by kdist* rules by dependency. It should configure the module so it is
 # ready for compilation (mostly useful for calling configure).
-# prep-deb-files from module-assistant creates the neccessary debian/ files
+# prep-deb-files from module-assistant creates the neccessary debian/ files 
 kdist_configure: prep-deb-files
-
+  
 # the kdist_clean target is called by make-kpkg modules_clean and from
 # kdist* rules. It is responsible for cleaning up any changes that have
 # been made by the other kdist_commands (except for the .deb files created)
@@ -180,8 +180,6 @@
 	   && tar c $(TAR_OPTS) modules	| bzip2 -9 > $(sname).tar.bz2	\
 	   && rm -rf modules
 
-	dh_install debian/fetch-openline-firmware usr/share/vpb-driver
-	chmod 755 $(CURDIR)/debian/vpb-driver-source/usr/share/vpb-driver/fetch-openline-firmware
 
 install-libvpb: DH_OPTIONS=-plibvpb1
 install-libvpb:
@@ -224,3 +222,6 @@
 	dh_install obj_shared/src/utils/measerl     usr/bin
 	dh_install obj_shared/src/utils/playwav     usr/bin
 	dh_install obj_shared/src/utils/proslicerl  usr/bin
+	dh_install obj_shared/src/utils/raw2wav     usr/bin
+	dh_install obj_shared/src/utils/recwav      usr/bin
+	dh_install obj_shared/src/utils/ringstat    usr/bin
